## org.gnu.gtk
Class CellRendererToggle.Attribute

    java.lang.Object
      org.gnu.gtk.CellRendererAttribute
          org.gnu.gtk.CellRendererToggle.Attribute

Enclosing class:
  CellRendererToggle

public static class CellRendererToggle.Attribute
extends CellRendererAttribute

Attributes for mapping to data in the TreeModel

Field Summary
`static CellRendererToggle.Attribute` `ACTIVATABLE` Whether the user can change the state of the toggle
`static CellRendererToggle.Attribute` `ACTIVE` The state of the toggle
`static CellRendererToggle.Attribute` `INCONSISTENT` The inconsistent state of the button.
`static CellRendererToggle.Attribute` `RADIO` Draw the toggle button as a radio button.

Methods inherited from class org.gnu.gtk.CellRendererAttribute
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTIVE

    public static final CellRendererToggle.Attribute ACTIVE

  The state of the toggle

### ACTIVATABLE

    public static final CellRendererToggle.Attribute ACTIVATABLE

  Whether the user can change the state of the toggle

### INCONSISTENT

    public static final CellRendererToggle.Attribute INCONSISTENT

  The inconsistent state of the button.

### RADIO

    public static final CellRendererToggle.Attribute RADIO

  Draw the toggle button as a radio button.